Package org.apache.datasketches.hive.tuple

## Class DataToArrayOfDoublesSketchUDAF.DataToArrayOfDoublesSketchEvaluator

- java.lang.Object
- - org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator
  - - org.apache.datasketches.hive.tuple.DataToArrayOfDoublesSketchUDAF.DataToArrayOfDoublesSketchEvaluator

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Enclosing class:
  DataToArrayOfDoublesSketchUDAF

    public static class DataToArrayOfDoublesSketchUDAF.DataToArrayOfDoublesSketchEvaluator
    extends org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator

`org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AbstractAggregationBuffer, org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer, org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationType, org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.Mode`

### Field Summary

Fields
`protected org.apache.hadoop.hive.serde2.objectinspector.StructObjectInspector` `intermediateInspector_`
`protected static String` `NOMINAL_NUM_ENTRIES_FIELD`
`protected org.apache.hadoop.hive.serde2.objectinspector.PrimitiveObjectInspector` `nominalNumEntriesInspector_`
`protected static String` `NUM_VALUES_FIELD`
`protected static String` `SKETCH_FIELD`

### Fields inherited from class org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator

`partitionEvaluator`

### Constructor Summary

Constructors
`DataToArrayOfDoublesSketchEvaluator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer` `getNewAggregationBuffer()`
`org.apache.hadoop.hive.serde2.objectinspector.ObjectInspector` `init​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.Mode mode, org.apache.hadoop.hive.serde2.objectinspector.ObjectInspector[] parameters)`
`void` `iterate​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf, Object[] data)`
`void` `merge​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf, Object data)`
`void` `reset​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf)`
`Object` `terminate​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf)`
`Object` `terminatePartial​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf)`

### Methods inherited from class org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator

`aggregate, close, configure, createPartitionEvaluator, estimate, evaluate, getExprString, getPartitionWindowingEvaluator, getWindowingEvaluator, isEstimable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NOMINAL_NUM_ENTRIES_FIELD

    protected static final String NOMINAL_NUM_ENTRIES_FIELD

See Also:
  Constant Field Values

#### NUM_VALUES_FIELD

    protected static final String NUM_VALUES_FIELD

See Also:
  Constant Field Values

#### SKETCH_FIELD

    protected static final String SKETCH_FIELD

See Also:
  Constant Field Values

#### nominalNumEntriesInspector_

    protected org.apache.hadoop.hive.serde2.objectinspector.PrimitiveObjectInspector nominalNumEntriesInspector_

#### intermediateInspector_

    protected org.apache.hadoop.hive.serde2.objectinspector.StructObjectInspector intermediateInspector_

### Constructor Detail

#### DataToArrayOfDoublesSketchEvaluator

    public DataToArrayOfDoublesSketchEvaluator()

### Method Detail

#### init

    public org.apache.hadoop.hive.serde2.objectinspector.ObjectInspector init​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.Mode mode,
                                                                              org.apache.hadoop.hive.serde2.objectinspector.ObjectInspector[] parameters)
                                                                       throws org.apache.hadoop.hive.ql.metadata.HiveException

Overrides:
  `init` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`

#### iterate

    public void iterate​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf,
                        Object[] data)
                 throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `iterate` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`

#### getNewAggregationBuffer

    public org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer getNewAggregationBuffer()
                                                                                                         throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `getNewAggregationBuffer` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`

#### terminatePartial

    public Object terminatePartial​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf)
                            throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `terminatePartial` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`

#### merge

    public void merge​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf,
                      Object data)
               throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `merge` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`

#### terminate

    public Object terminate​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf)
                     throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `terminate` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`

#### reset

    public void reset​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer buf)
               throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `reset` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`